View Issue Details

IDProjectCategoryView StatusLast Update
0002183FreeCADBugpublic2017-02-09 17:48
Reporterquick61Assigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0002183: Mesh View . Use Bounding-Box Not Working For Flat Lines
DescriptionUse bounding-box for highlighted or selected meshes not working for Mesh view when Display mode is set to Flat Lines. Nether pre-selection or selection bounding-box shows. It does show in all other display modes.
Steps To ReproduceGoto Edit > Preferences > Display > Mesh view, and check on the "Use bounding-box for highlighted or selected meshes".

Create or load a part, a basic solid will do, Sphere works well.

Hovering the mouse over the part or clicking on it gives you a bounding box, pe-select or select.

Select the mesh and change it's Display Mode.

The bounding-box works for Shaded, Wireframe, and Point, but does not work for Flat Lines.
Additional InformationIn version 0.14.3705, selected mesh shows bounding-box in Flat Lines display, but there is no pre-select. From 0.15.4671 release on to 0.16.5171 development, there is no pre-select or selected bounding-box.

OS: Kubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5171 (Git)
Build type: Release
Branch: master
Hash: 6c32edfb8c8f95fb51f0cba694fc46c53fb0059d
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

Kunda1

2017-01-19 00:25

manager   ~0007870

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=20031

Kunda1

2017-01-29 14:16

manager   ~0008070

@cox could still reproduce this bug (https://forum.freecadweb.org/viewtopic.php?p=156698#p156698)
OS: "Arch Linux"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9790 (Git)
Build type: Release
Branch: master
Hash: 294b2308d660a4aae11e90ec22f96ca56190bcd1
Python version: 2.7.13
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.9.1

wmayer

2017-02-09 17:47

administrator   ~0008253

The selection node (class SoFCSelection) reverts the pre-selection when the same instance is used multiple times in the graph. For the Flat & Lines mode this was the case.
The solution is to use an additional group node to keep the mesh data and use this as replacement for the selection node.

Related Changesets

FreeCAD: master 9925e902

2017-02-09 17:30:48

wmayer

Details Diff
issue 0002183: Mesh View . Use Bounding-Box Not Working For Flat Lines Affected Issues
0002183
mod - src/Mod/Mesh/Gui/ViewProvider.cpp Diff File
mod - src/Mod/Mesh/Gui/ViewProvider.h Diff File
mod - src/Mod/Mesh/Gui/ViewProviderMeshFaceSet.cpp Diff File

Issue History

Date Modified Username Field Change
2015-07-04 15:07 quick61 New Issue
2017-01-19 00:25 Kunda1 Note Added: 0007870
2017-01-29 10:37 wmayer Assigned To => wmayer
2017-01-29 10:37 wmayer Status new => assigned
2017-01-29 14:16 Kunda1 Note Added: 0008070
2017-02-09 17:31 wmayer Changeset attached => FreeCAD Master master 9925e902
2017-02-09 17:47 wmayer Note Added: 0008253
2017-02-09 17:48 wmayer Status assigned => closed
2017-02-09 17:48 wmayer Resolution open => fixed
2017-02-09 17:48 wmayer Fixed in Version => 0.17